この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

List View Describe

ID、列、SOQL クエリなど、リストビューに関する詳細な情報を返します。

このリソースは REST API バージョン 32.0 以降で使用できます。

URI
/vXX.X/sobjects/{sobjectType}/listviews/{queryLocator}/describe
形式
JSON、XML
HTTP メソッド
GET
認証
Authorization: Bearer token
パラメータ
なし

リストビューに関する情報を取得
1curl https://na1.salesforce.com/services/data/v32.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe -H "Authorization: Bearer token"
JSON レスポンスボディ
1{
2
3  "columns" : [ {
4
5    "ascendingLabel" : "Z-A",
6
7    "descendingLabel" : "A-Z",
8
9    "fieldNameOrPath" : "Name",
10
11    "hidden" : false,
12
13    "label" : "Account Name",
14
15    "selectListItem" : "Name",
16
17    "sortDirection" : "ascending",
18
19    "sortIndex" : 0,
20
21    "sortable" : true,
22
23    "type" : "string"
24
25  }, {
26
27    "ascendingLabel" : "Z-A",
28
29    "descendingLabel" : "A-Z",
30
31    "fieldNameOrPath" : "Site",
32
33    "hidden" : false,
34
35    "label" : "Account Site",
36
37    "selectListItem" : "Site",
38
39    "sortDirection" : null,
40
41    "sortIndex" : null,
42
43    "sortable" : true,
44
45    "type" : "string"
46
47  }, {
48
49    "ascendingLabel" : "Z-A",
50
51    "descendingLabel" : "A-Z",
52
53    "fieldNameOrPath" : "BillingState",
54
55    "hidden" : false,
56
57    "label" : "Billing State/Province",
58
59    "selectListItem" : "BillingState",
60
61    "sortDirection" : null,
62
63    "sortIndex" : null,
64
65    "sortable" : true,
66
67    "type" : "string"
68
69  }, {
70
71    "ascendingLabel" : "9-0",
72
73    "descendingLabel" : "0-9",
74
75    "fieldNameOrPath" : "Phone",
76
77    "hidden" : false,
78
79    "label" : "Phone",
80
81    "selectListItem" : "Phone",
82
83    "sortDirection" : null,
84
85    "sortIndex" : null,
86
87    "sortable" : true,
88
89    "type" : "phone"
90
91  }, {
92
93    "ascendingLabel" : "Low to High",
94
95    "descendingLabel" : "High to Low",
96
97    "fieldNameOrPath" : "Type",
98
99    "hidden" : false,
100
101    "label" : "Type",
102
103    "selectListItem" : "toLabel(Type)",
104
105    "sortDirection" : null,
106
107    "sortIndex" : null,
108
109    "sortable" : true,
110
111    "type" : "picklist"
112
113  }, {
114
115    "ascendingLabel" : "Z-A",
116
117    "descendingLabel" : "A-Z",
118
119    "fieldNameOrPath" : "Owner.Alias",
120
121    "hidden" : false,
122
123    "label" : "Account Owner Alias",
124
125    "selectListItem" : "Owner.Alias",
126
127    "sortDirection" : null,
128
129    "sortIndex" : null,
130
131    "sortable" : true,
132
133    "type" : "string"
134
135  }, {
136
137    "ascendingLabel" : null,
138
139    "descendingLabel" : null,
140
141    "fieldNameOrPath" : "Id",
142
143    "hidden" : true,
144
145    "label" : "Account ID",
146
147    "selectListItem" : "Id",
148
149    "sortDirection" : null,
150
151    "sortIndex" : null,
152
153    "sortable" : false,
154
155    "type" : "id"
156
157  }, {
158
159    "ascendingLabel" : null,
160
161    "descendingLabel" : null,
162
163    "fieldNameOrPath" : "CreatedDate",
164
165    "hidden" : true,
166
167    "label" : "Created Date",
168
169    "selectListItem" : "CreatedDate",
170
171    "sortDirection" : null,
172
173    "sortIndex" : null,
174
175    "sortable" : false,
176
177    "type" : "datetime"
178
179  }, {
180
181    "ascendingLabel" : null,
182
183    "descendingLabel" : null,
184
185    "fieldNameOrPath" : "LastModifiedDate",
186
187    "hidden" : true,
188
189    "label" : "Last Modified Date",
190
191    "selectListItem" : "LastModifiedDate",
192
193    "sortDirection" : null,
194
195    "sortIndex" : null,
196
197    "sortable" : false,
198
199    "type" : "datetime"
200
201  }, {
202
203    "ascendingLabel" : null,
204
205    "descendingLabel" : null,
206
207    "fieldNameOrPath" : "SystemModstamp",
208
209    "hidden" : true,
210
211    "label" : "System Modstamp",
212
213    "selectListItem" : "SystemModstamp",
214
215    "sortDirection" : null,
216
217    "sortIndex" : null,
218
219    "sortable" : false,
220
221    "type" : "datetime"
222
223  } ],
224
225  "id" : "00BD0000005WcBe",
226
227  "orderBy" : [ {
228
229    "fieldNameOrPath" : "Name",
230
231    "nullsPosition" : "first",
232
233    "sortDirection" : "ascending"
234
235  }, {
236
237    "fieldNameOrPath" : "Id",
238
239    "nullsPosition" : "first",
240
241    "sortDirection" : "ascending"
242
243  } ],
244
245  "query" : "SELECT name, site, billingstate, phone, tolabel(type), owner.alias, id, createddate, lastmodifieddate, systemmodstamp FROM Account WHERE CreatedDate = THIS_WEEK ORDER BY Name ASC NULLS FIRST, Id ASC NULLS FIRST",
246
247  "scope" : null,
248
249  "sobjectType" : "Account",
250
251  "whereCondition" : {
252
253    "field" : "CreatedDate",
254
255    "operator" : "equals",
256
257    "values" : [ "THIS_WEEK" ]
258
259  }
260
261}